# script for getting a proper sized synmap
source("config.r")

source("RSources/is.inf.r")
source("RSources/assignr.r")
source("RSources/ReadSynmapDMM.r")

# get coordinates from WRF
filename <- paste(wrfinput,"/wrfinput_d01",sep="")

library(RNetCDF)
nc       <- open.nc(filename)
lat.wrf  <- t(var.get.nc(nc,"XLAT"))
lon.wrf  <- t(var.get.nc(nc,"XLONG"))  
#landmask  <- t(var.get.nc(nc,"LANDMASK"))  
close.nc(nc)

# get vegetation grid from synmap
#
# In the first argument you need to provide a proper map covering your area in binary
# format. Talk to Christoph Gerbig <cgerbig@bgc-jena.mpg.de>, if you need further
# instructions on how to get one.
#
# Second and third arguments:
# Enter subLon and subLat according to your needs:
# subLon(longitude start,longitude end)
# subLat(latitude end, latitude start)
#
# Make sure that you make this a bit larger than the domain size
# you specified in the namelist! (10% should be enough)

# start.lat <- round(max(range(lat.wrf)[1]-5,-90))
# start.lon <- round(max(range(lon.wrf)[1]-5,-180))
# end.lat   <- round(min(range(lat.wrf)[2]+5,90))
# end.lon   <- round(min(range(lon.wrf)[2]+5,180))

start.lat <- round(max(range(lat.wrf)[1]-10,-90))
start.lon <- round(max(range(lon.wrf)[1]-10,-180))
end.lat   <- round(min(range(lat.wrf)[2]+10,90))
end.lon   <- round(min(range(lon.wrf)[2]+10,180))


synmap <- ReadSynmap(infile="/Net/Groups/BSY/people/cgerbig/RData/Vegetation/synmap/synmap_LC_jan1",
subLon <- c(start.lon,end.lon),subLat=c(end.lat,start.lat))
                 
# The first argument is the name of the synmap. It has two parts 1) "synmap" 2) actual name
# ("europe" in this example), separated by a dot. Don't change the first part.
# The second part corresponds to the variable <SYNMAP> in your namelist.
# So make sure these two are equal!
#
# Make sure the third argument points to the same directory you also specified
# in the namelist with <RDATA>. Otherwise the preprocessor won't find it.
assignr(paste("synmap.",synmaptouse,sep=""),synmap,rdatain)




