#!/bin/bash
# script to start parallel execution of loess filtering on cluster
#
# usage:
# ./submit_loess <PATH_TO_PREPROC> <"evi" | "lswi" | "evi lswi">

job_limit=5 #maximum number of how many jobs should run in parallel

cd $1

process_id=$$

i=0
j=0
lines=$(cat tiles.txt | wc -l)
for vari in $2
 do
  for file in $(cat tiles.txt)
  do
   let i=$i+1
   let j=$j+1
   let lines=$lines-1

   if [[ "$j" < "$job_limit" && "$lines" > "0" ]]
   then 
    tiles=$(echo $file | awk -F , '{print $1,$2}')
    command="R --no-save --no-readline --args ${tiles} ${vari} < process_loess.r >& process_loess.r.Rout.${i}"
    bsub -J loess_${process_id} -o process_loess.r.Rout.${i} -e process_loess.r.Rout.${i} -R "rusage[mem=4000]" -q all -g /rkretsch_group ${command}
   else
    j=0
    tiles=$(echo $file | awk -F , '{print $1,$2}')
    command="R --no-save --no-readline --args ${tiles} ${vari} < process_loess.r >& process_loess.r.Rout.${i}"
    bsub -J loess_${process_id} -o process_loess.r.Rout.${i} -e process_loess.r.Rout.${i} -R "rusage[mem=4000]" -q all -K -g /rkretsch_group ${command}  
   fi
   
  done
done 

# place another job to make sure all the loess jobs have finished when this script ends
bsub -w "done(loess_${process_id})" -q all -K -g /rkretsch_group sleep 1
