#!/bin/bash
# script to start parallel execution of regridding on cluster
#
# usage:
# ./submit_regrid <PATH_TO_PREPROC> <"evi"|"lswi"> <NEST> <NUMBER_OF_8DAY_INTERVALS>

vari=$2
dom=$3
notsteps=$4

cd $1

for ((tstep=1;tstep<=notsteps;tstep++))
#for tstep in 1 2
 do

   command="R --no-save --no-readline --args ${vari} ${dom} ${tstep} < lsf_regrid.r >& lsf_regrid.r.Rout.${tstep}"
   bsub -J "regrid" -o lsf_regrid.r.Rout.${tstep} -e lsf_regrid.r.Rout.${tstep} -R "rusage[mem=7000]" -q all ${command}
   
done 

# place another job to make sure all the regrid jobs have finished when this script ends
bsub -w "done(regrid)" -q all -K sleep 1
